API referenceBuying
Create a buy order
Creates a quantity-based buy order.
POST
/buy-ordersCreates a quantity-based buy order. Takes market_hash_name plus optional constraints for
float ranges, paint seeds, paint index, stickers, and keychains.
Authorization
ApiKeyAuth Authorization<token>
CSFloat developer API key. Do not prefix with Bearer.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/buy-orders" \ -H "Content-Type: application/json" \ -d '{ "market_hash_name": "string", "max_price": 0, "quantity": 1 }'{ "id": "string", "created_at": "2019-08-24T14:15:22Z", "market_hash_name": "string", "price": 0, "qty": 0, "bought_item_count": 0, "hybrid_properties": { "min_float": 0, "max_float": 0, "paint_index": 0, "paint_seeds": [ 0 ], "applied_stickers": [ { "sId": 0 } ], "applied_keychains": [ { "sId": 0 } ], "min_keychain_pattern": 0, "max_keychain_pattern": 0 }}